package org.example.petshopdesktop.models;

import javafx.beans.property.SimpleDoubleProperty;
import javafx.beans.property.SimpleIntegerProperty;

public class ProductSupplier {
    private SimpleIntegerProperty supId;
    private SimpleIntegerProperty prodId;
    private SimpleDoubleProperty cost;

    //constructor
    public ProductSupplier(int supId, int prodId, double cost) {
        this.supId = new  SimpleIntegerProperty(supId);
        this.prodId = new SimpleIntegerProperty(prodId);
        this.cost = new SimpleDoubleProperty(cost);
    }

    //getter and setters
    public int getSupId() {
        return supId.get();
    }

    public SimpleIntegerProperty supIdProperty() {
        return supId;
    }

    public void setSupId(int supId) {
        this.supId.set(supId);
    }

    public int getProdId() {
        return prodId.get();
    }

    public SimpleIntegerProperty prodIdProperty() {
        return prodId;
    }

    public void setProdId(int prodId) {
        this.prodId.set(prodId);
    }

    public double getCost() {
        return cost.get();
    }

    public SimpleDoubleProperty costProperty() {
        return cost;
    }

    public void setCost(double cost) {
        this.cost.set(cost);
    }
}
